Subject: Re: 2.6.21 known regressions (v2) (for -stable team)

From: Gene Heskett <[email-masked]>
Date: Sat, 28 Apr 2007 13:52:44 -0400

On Saturday 28 April 2007, Michal Piotrowski wrote:
>Hi Gene,
>
>On 28/04/07, Gene Heskett <[email-masked]> wrote:
>> On Saturday 28 April 2007, Michal Piotrowski wrote:
>> >Hi all,
>> >
>> >Here is a list of known regressions reported after 2.6.21 release.
>> >
>> >Feel free to add new regressions/remove fixed etc.
>> >http://kernelnewbies.org/known_regressions
>>
>> I went here, but without a login the page is immutable
>>
>> Therefore I'll add it here
>>
>> Subject         :proprietary belkin upsd turns into cpu hog
>
>I'm not sure if I understand correctly. Is it a proprietary driver?
>If so, it's not a task for -stable team.
>
>> Submitter       :[email-masked]
>> Reference       :something changed in how /dev/ttyUSB's handle 1 and 2
>> byte messages from pl2303 usb<->serial adaptors.  Also, assignation of
>> ttyUSB#'s is volatile depending on phase of the moon when booted.
>
>Regards,
>Michal

I'm not sure if my use of that should be dismissed out of hand because its 
proprietary, the point being that the pl2303 driver seems to have 
deteriorated over the last month or so to the point that now neither of my 
pl2303 cables is working, while the FTDI adaptor I put in the heyu path a 
month ago is working just fine.  I do have another FTDI cable too, but I need 
to get an extension for it, 10" overall just won't reach the ups so its not 
yet tested. 

Up until this boot to 2.6.21-cfs-v7, I could usually make that proprietary 
upsd driver daemon work if I killed it, reconfigured it to use whatever port 
it got at this bootup, kill it, restart it etc and eventually it would settle 
down to 0.0% cpu, and work fine.  Today I had to swap ports in both its 
config and in heyu's after the reboot.  heyu is fine now, but the pl2303 is 
totally, can't even cat the 1 or 2 bytes a second worth of data that should 
be coming from it, dead.

Hence, I'm pointing my personal finger of blame at the pl2303 driver, which 
I've noted has been touched a couple of times recently.

In this case, no other change in the kernel config, just swapped the sd046 
patch for the cfs-v7 patch, installed and rebooted.

I started having trouble with this in the middle (roughly) of the 2.6.21-rc 
series.
-- 
Cheers, Gene
"There are four boxes to be used in defense of liberty:
 soap, ballot, jury, and ammo. Please use in that order."
-Ed Howdershelt (Author)
Universe, n.:
	The problem.